using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FWHandler
{
    public interface IFWComboBoxes
    {
        void ComboBoxClickBy(string value, int id, int repeatingTime = 0);
        void ComboBoxClickBy(string value, int repeatingTime = 0);
        void ComboBoxDoubleClickBy(string value, int id, int repeatingTime = 0);
        void ComboBoxSelectBy(string value, int id, int repeatingTime = 0);
        void ComboBoxSelectBy(string value, string itemId, int repeatingTime = 0);
        bool ComboBoxExist(string value, int repeatingTime = 0);
        bool ComboBoxIsVisible(string value, int repeatingTime = 0);
        void ComboBoxExpand(string value, int repeatingTime = 0);
    }
}
